This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 305551 - Review Request: bluecurve-gtk-themes - Bluecurve GTK+ themes
Review Request: bluecurve-gtk-themes - Bluecurve GTK+ themes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
 
Reported: 2007-09-25 13:07 EDT by Ray Strode [halfline]
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 11:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
notting: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-09-25 13:07:50 EDT
Spec URL:
http://rstrode.fedorapeople.org/bluecurve-gtk-themes/checkout/bluecurve-gtk-themes.spec

SRPM URL:
http://rstrode.fedorapeople.org/bluecurve-gtk-themes/checkout/bluecurve-gtk-themes-1.0.0-1.fc8.src.rpm

Description:
This package contains a collection of GTK+ themes that use the bluecurve engine.
Comment 1 Bill Nottingham 2007-09-25 16:33:23 EDT
MUST items:
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - OK
 - License field in spec matches - ***

Without any supporting information, the license tag should be 'GPL+'. If
something was added to the gtkrc files, I suppose it could be changed to a
different versions.

Then again, I wonder if gtkrc files are even enough of a work to be copyrightable.

 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - ***

There's a duplicated comment.

 - Sources match upstream md5sum: - N/A - no upstream yet
 - Package needs ExcludeArch - N/A
 - BuildRequires correct - OK
 - Spec handles locales/find_lang - OK
 - Package has %defattr and permissions on files is good. - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot -OK
 - Package is code or permissible content. - OK
 - Packages %doc files don't affect runtime. - OK

 - Package compiles and builds on at least one arch. - OK
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. - ***

bluecurve-gtk-themes.src: W: invalid-license GPL 

See above.

bluecurve-gtk-themes.noarch: E: zero-length
/usr/share/doc/bluecurve-gtk-themes-1.0.0/ChangeLog
bluecurve-gtk-themes.noarch: E: zero-length
/usr/share/doc/bluecurve-gtk-themes-1.0.0/NEWS
bluecurve-gtk-themes.noarch: E: zero-length
/usr/share/doc/bluecurve-gtk-themes-1.0.0/README

Can remove.

bluecurve-gtk-themes.noarch: E: description-line-too-long This package contains
a collection of GTK+ themes that use the bluecurve engine.

You could word wrap this.

 - final provides and requires are sane: - ***

Could probably remove the explicit gtk2 require since the engine will pull it in
, but... shrug.

SHOULD Items:

 - Should build in mock. - OK
 - Should build on all supported archs - OK
 - Should function as described. - seems to work
 - Should have dist tag - OK

Fix the license tag, mainly.
Comment 2 Ray Strode [halfline] 2007-09-25 16:48:22 EDT
license tag fixed and duplicate comment removed.
Comment 3 Bill Nottingham 2007-09-25 16:56:18 EDT
Approved.
Comment 4 Ray Strode [halfline] 2007-09-30 13:39:57 EDT
This now has the engine (which was previously covered by bug 305491) rolled into it.
Comment 5 Ray Strode [halfline] 2007-10-09 11:59:56 EDT
New Package CVS Request
=======================
Package Name: bluecurve-gtk-themes
Short Description: Bluecurve GTK+ themes
Owners: rstrode,davidz
Branches:
InitialCC:
Cvsextras Commits: no
Comment 6 Bill Nottingham 2007-10-09 17:32:06 EDT
done

Note You need to log in before you can comment on or make changes to this bug.